scala.math.Numeric

# FloatAsIfIntegral

#### trait FloatAsIfIntegral extends FloatIsConflicted with Integral[Float]

Source
  Numeric.scala

Linear Supertypes
Integral[Float], FloatIsConflicted, Numeric[Float], Ordering[Float], PartialOrdering[Float], Equiv[Float], Serializable, java.io.Serializable, Comparator[Float], AnyRef, Any
Known Subclasses
FloatAsIfIntegral
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. FloatAsIfIntegral
2. Integral
3. FloatIsConflicted
4. Numeric
5. Ordering
6. PartialOrdering
7. Equiv
8. Serializable
9. Serializable
10. Comparator
11. AnyRef
12. Any

Implicitly

1. by any2stringadd
2. by any2stringfmt
3. by any2ArrowAssoc
4. by any2Ensuring

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class IntegralOps extends Ops

   Definition Classes
     Integral

2. #### class Ops extends AnyRef

   This inner class defines comparison operators available for `T`.

### Abstract Value Members

1. #### abstract def compare(x: Float, y: Float): Int

   Returns an integer whose sign communicates how x compares to y.

   Returns an integer whose sign communicates how x compares to y.

   The result sign has the following meaning:

   - negative if x < y
   - positive if x > y
   - zero otherwise (if x == y)
   Definition Classes
     Ordering → Comparator

### Concrete Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     Any

3. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

4. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from FloatAsIfIntegral to StringAdd performed by method any2stringadd in scala.Predef.
   Definition Classes
     StringAdd

5. #### def ->[B](y: B): (FloatAsIfIntegral, B)

   Implicit information
     This member is added by an implicit conversion from FloatAsIfIntegral to ArrowAssoc[FloatAsIfIntegral] performed by method any2ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline ()

6. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### final def ==(arg0: Any): Boolean

   Test two objects for equality.

   Test two objects for equality. The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     Any

8. #### def abs(x: Float): Float

   Definition Classes
     Numeric

9. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown
     ClassCastException

     if the receiver object is not an instance of the erasure of type `T0`.

10. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )
    Note

      not specified by SLS as a member of AnyRef

11. #### def ensuring(cond: (FloatAsIfIntegral) ⇒ Boolean, msg: ⇒ Any): FloatAsIfIntegral

    Implicit information
      This member is added by an implicit conversion from FloatAsIfIntegral to Ensuring[FloatAsIfIntegral] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (FloatAsIfIntegral) ⇒ Boolean): FloatAsIfIntegral

    Implicit information
      This member is added by an implicit conversion from FloatAsIfIntegral to Ensuring[FloatAsIfIntegral] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): FloatAsIfIntegral

    Implicit information
      This member is added by an implicit conversion from FloatAsIfIntegral to Ensuring[FloatAsIfIntegral] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): FloatAsIfIntegral

    Implicit information
      This member is added by an implicit conversion from FloatAsIfIntegral to Ensuring[FloatAsIfIntegral] performed by method any2Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      AnyRef → Any

17. #### def equiv(x: Float, y: Float): Boolean

    Return true if `x` == `y` in the ordering.

    Return true if `x` == `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering → Equiv

18. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws ( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

19. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from FloatAsIfIntegral to StringFormat performed by method any2stringfmt in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline ()

20. #### def fromInt(x: Int): Float

    Definition Classes
      FloatIsConflicted → Numeric

21. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

22. #### def gt(x: Float, y: Float): Boolean

    Return true if `x` > `y` in the ordering.

    Return true if `x` > `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering

23. #### def gteq(x: Float, y: Float): Boolean

    Return true if `x` >= `y` in the ordering.

    Return true if `x` >= `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering

24. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      AnyRef → Any

25. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

26. #### def lt(x: Float, y: Float): Boolean

    Return true if `x` < `y` in the ordering.

    Return true if `x` < `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering

27. #### def lteq(x: Float, y: Float): Boolean

    Return true if `x` <= `y` in the ordering.

    Return true if `x` <= `y` in the ordering.

    Definition Classes
      Ordering → PartialOrdering

28. #### def max(x: Float, y: Float): Float

    Return `x` if `x` >= `y`, otherwise `y`.

    Return `x` if `x` >= `y`, otherwise `y`.

    Definition Classes
      Ordering

29. #### def min(x: Float, y: Float): Float

    Return `x` if `x` <= `y`, otherwise `y`.

    Return `x` if `x` <= `y`, otherwise `y`.

    Definition Classes
      Ordering

30. #### def minus(x: Float, y: Float): Float

    Definition Classes
      FloatIsConflicted → Numeric

31. #### implicit def mkNumericOps(lhs: Float): IntegralOps

    Definition Classes
      Integral → Numeric

32. #### implicit def mkOrderingOps(lhs: Float): FloatAsIfIntegral.Ops

    This implicit method augments `T` with the comparison operators defined in `scala.math.Ordering.Ops`.

    This implicit method augments `T` with the comparison operators defined in `scala.math.Ordering.Ops`.

    Definition Classes
      Ordering

33. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

34. #### def negate(x: Float): Float

    Definition Classes
      FloatIsConflicted → Numeric

35. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

36. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

37. #### def on[U](f: (U) ⇒ Float): Ordering[U]

    Given f, a function from U into T, creates an Ordering[U] whose compare function is equivalent to:

    Given f, a function from U into T, creates an Ordering[U] whose compare function is equivalent to:

        def compare(x:U, y:U) = Ordering[T].compare(f(x), f(y))

    Definition Classes
      Ordering

38. #### def one: Float

    Definition Classes
      Numeric

39. #### def plus(x: Float, y: Float): Float

    Definition Classes
      FloatIsConflicted → Numeric

40. #### def quot(x: Float, y: Float): Float

    Definition Classes
      FloatAsIfIntegral → Integral

41. #### def rem(x: Float, y: Float): Float

    Definition Classes
      FloatAsIfIntegral → Integral

42. #### def reverse: Ordering[Float]

    Return the opposite ordering of this one.

    Return the opposite ordering of this one.

    Definition Classes
      Ordering → PartialOrdering

43. #### def signum(x: Float): Int

    Definition Classes
      Numeric

44. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

45. #### def times(x: Float, y: Float): Float

    Definition Classes
      FloatIsConflicted → Numeric

46. #### def toDouble(x: Float): Double

    Definition Classes
      FloatIsConflicted → Numeric

47. #### def toFloat(x: Float): Float

    Definition Classes
      FloatIsConflicted → Numeric

48. #### def toInt(x: Float): Int

    Definition Classes
      FloatIsConflicted → Numeric

49. #### def toLong(x: Float): Long

    Definition Classes
      FloatIsConflicted → Numeric

50. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      AnyRef → Any

51. #### def tryCompare(x: Float, y: Float): Some[Int]

    Returns whether a comparison between `x` and `y` is defined, and if so the result of `compare(x, y)`.

    Returns whether a comparison between `x` and `y` is defined, and if so the result of `compare(x, y)`.

    Definition Classes
      Ordering → PartialOrdering

52. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

53. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

54. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws ( ... )

55. #### def zero: Float

    Definition Classes
      Numeric

56. #### def →[B](y: B): (FloatAsIfIntegral, B)

    Implicit information
      This member is added by an implicit conversion from FloatAsIfIntegral to ArrowAssoc[FloatAsIfIntegral] performed by method any2ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Shadowed Implicit Value Members

1. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from FloatAsIfIntegral to StringAdd performed by method any2stringadd in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (floatAsIfIntegral: StringAdd).self

   Definition Classes
     StringAdd

2. #### val self: Any

   Implicit information
     This member is added by an implicit conversion from FloatAsIfIntegral to StringFormat performed by method any2stringfmt in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (floatAsIfIntegral: StringFormat).self

   Definition Classes
     StringFormat

### Deprecated Value Members

1. #### def x: FloatAsIfIntegral

   Implicit information
     This member is added by an implicit conversion from FloatAsIfIntegral to ArrowAssoc[FloatAsIfIntegral] performed by method any2ArrowAssoc in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (floatAsIfIntegral: ArrowAssoc[FloatAsIfIntegral]).x

   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `leftOfArrow`instead``

2. #### def x: FloatAsIfIntegral

   Implicit information
     This member is added by an implicit conversion from FloatAsIfIntegral to Ensuring[FloatAsIfIntegral] performed by method any2Ensuring in scala.Predef.
   Shadowing
     This implicitly inherited member is ambiguous. One or more implicitly inherited members have similar signatures, so calling this member may produce an ambiguous implicit conversion compiler error.
     To access this member you can use a type ascription:

         (floatAsIfIntegral: Ensuring[FloatAsIfIntegral]).x

   Definition Classes
     Ensuring
   Annotations
     @deprecated
   Deprecated

     (Since version 2.10.0) Use `resultOfEnsuring`instead``

### Inherited from Integral[Float]

### Inherited from FloatIsConflicted

### Inherited from Numeric[Float]

### Inherited from Ordering[Float]

### Inherited from PartialOrdering[Float]

### Inherited from Equiv[Float]

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Comparator[Float]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from FloatAsIfIntegral to StringAdd

### Inherited by implicit conversion any2stringfmt from FloatAsIfIntegral to StringFormat

### Inherited by implicit conversion any2ArrowAssoc from FloatAsIfIntegral to ArrowAssoc[FloatAsIfIntegral]

### Inherited by implicit conversion any2Ensuring from FloatAsIfIntegral to Ensuring[FloatAsIfIntegral]

### Ungrouped